> ## Documentation Index
> Fetch the complete documentation index at: https://docs.parceltracer.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Request pickup for an order

> Request pickup for an order identified by `order_id`. The order must be in `CREATED` state.



## OpenAPI

````yaml /api-reference/schema.yaml post /orders/{order_id}/request-pickup/
openapi: 3.0.3
info:
  title: ''
  version: 0.0.0
servers:
  - url: https://api.parceltracer.com/v1/external/
    description: Parcel Tracer api endpoint
security: []
paths:
  /orders/{order_id}/request-pickup/:
    post:
      tags:
        - Orders
      summary: Request pickup for an order
      description: >-
        Request pickup for an order identified by `order_id`. The order must be
        in `CREATED` state.
      operationId: request_pickup
      parameters:
        - in: path
          name: order_id
          schema:
            type: integer
          required: true
      responses:
        '201':
          description: Pickup requested successfully
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Bad Request
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              examples:
                NotFoundError:
                  value:
                    error: 'true'
                    message: Resource not found.
                    details: 'detail: Not found.'
                  summary: Example of resource not found error
          description: Order not found
      security:
        - MerchantAPIKey: []
components:
  schemas:
    ErrorResponse:
      type: object
      properties:
        error:
          type: boolean
        message:
          type: string
        details: {}
      required:
        - details
        - error
        - message
  securitySchemes:
    MerchantAPIKey:
      type: apiKey
      in: header
      name: X-Api-Key

````